# PhasicFlow: src/phasicFlow/Kokkos/baseAlgorithms.hpp File Reference

baseAlgorithms.hpp File Reference
Include dependency graph for baseAlgorithms.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<typename T , typename... properties>
INLINE_FUNCTION_H T | min (const ViewType1D< T, properties... > &view, size_t start, size_t end)
template<typename T , typename... properties>
INLINE_FUNCTION_H T | max (const ViewType1D< T, properties... > &view, size_t start, size_t end)
template<typename T , typename... properties>
INLINE_FUNCTION_H T | min_serial (const ViewType1D< T, properties... > &view, size_t start, size_t end)
template<typename T , typename... properties>
INLINE_FUNCTION_H T | max_serial (const ViewType1D< T, properties... > &view, size_t start, size_t end)
template<typename UnaryFunction , typename T , typename... properties>
void | apply_to_each (const ViewType1D< T, properties... > &view, size_t start, size_t end, UnaryFunction func)
template<typename T , typename... properties>
void | insertSetElementH (ViewType1D< T, properties... > &view, hostViewType1D< label > &selected, T val)
template<typename T , typename... properties>
void | insertSetElementH (ViewType1D< T, properties... > &view, hostViewType1D< label > &selected, hostViewType1D< T > &vals)
template<typename T , typename... properties>
void | insertSetElementD (ViewType1D< T, properties... > &view, deviceViewType1D< label > &selected, T val)
template<typename T , typename... properties>
void | insertSetElementD (ViewType1D< T, properties... > &view, deviceViewType1D< label > &selected, deviceViewType1D< T > &vals)
template<typename T , typename... properties>
void | fill (ViewType3D< T, properties... > &view, range range1, range range2, range range3, T val)

## Variables

const size_t | sizeToSerial__ = 64

## Variable Documentation

## sizeToSerial__

const size_t sizeToSerial__ = 64

inline

Definition at line 28 of file baseAlgorithms.hpp.

Referenced by pFlow::maxActive().